org.apache.cassandra.streaming

## Class StreamingService

- java.lang.Object
- - org.apache.cassandra.streaming.StreamingService

- All Implemented Interfaces:
    StreamingServiceMBean

      public class StreamingService
      extends java.lang.Object
      implements StreamingServiceMBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StreamingService` | `instance`
    `static java.lang.String` | `MBEAN_OBJECT_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getIncomingFiles(java.lang.String host)` details about incoming streams.
    `java.util.List<java.lang.String>` | `getOutgoingFiles(java.lang.String host)` outgoing streams
    `java.lang.String` | `getStatus()` What's currently happening wrt streaming.
    `java.util.Set<java.net.InetAddress>` | `getStreamDestinations()` hosts receiving outgoing streams.
    `java.util.Set<java.net.InetAddress>` | `getStreamSources()` hosts sending incoming streams

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MBEAN_OBJECT_NAME

          public static final java.lang.String MBEAN_OBJECT_NAME

      See Also:
        Constant Field Values

    - #### instance

          public static final StreamingService instance

  - ### Method Detail

    - #### getStatus

          public java.lang.String getStatus()

      Description copied from interface: `StreamingServiceMBean`
      What's currently happening wrt streaming.
      Specified by:
        `getStatus` in interface `StreamingServiceMBean`

    - #### getStreamDestinations

          public java.util.Set<java.net.InetAddress> getStreamDestinations()

      hosts receiving outgoing streams.
      Specified by:
        `getStreamDestinations` in interface `StreamingServiceMBean`

    - #### getOutgoingFiles

          public java.util.List<java.lang.String> getOutgoingFiles(java.lang.String host)
                                                            throws java.io.IOException

      outgoing streams
      Specified by:
        `getOutgoingFiles` in interface `StreamingServiceMBean`
      Throws:
        `java.io.IOException`

    - #### getStreamSources

          public java.util.Set<java.net.InetAddress> getStreamSources()

      hosts sending incoming streams
      Specified by:
        `getStreamSources` in interface `StreamingServiceMBean`

    - #### getIncomingFiles

          public java.util.List<java.lang.String> getIncomingFiles(java.lang.String host)
                                                            throws java.io.IOException

      details about incoming streams.
      Specified by:
        `getIncomingFiles` in interface `StreamingServiceMBean`
      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation